{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <p>{{ project.description}}</p>
            <h2>Tasks</h2>
            {% if tasks in project_list%}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    <tr>
                </thead>
                <tbody>
                    {% for tasks in project_list %}
                    <tr>
                        <td>{{ task.name }}</td>
                        <td>{{ task.assignee }}</td>
                        <td>{{ task.start_date|date:"M d, Y" }}</td>
                        <td>{{ task.due_date|date:"M d, Y" }}</td>
                        <td>{{ task.is_completed|yesno:yesno_args }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            {% else %}
            <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}